Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.documentbase
Interface IDGenerator

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled

All Known Implementing Classes:
  AbstractIDGenerator, DefaultIDGenerator, SimpleIDGenerator

    public interface IDGenerator

extends org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.configuration.Configurable

Nested Class Summary
`static interface` | `IDGenerator.ConfigurationNode`

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX`
`static java.lang.String` | `PACKAGE_QUALNAME`

Method Summary
`java.lang.String` | `generate()` Generates an id using configured prefix and suffix
`java.lang.String` | `generate(java.lang.String prefix, java.lang.String suffix)` Generates an id appending the given strings
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSuffix()`
`boolean` | `isIdUnique(java.lang.String id)` Determines where an id is unique within an index
`void` | `setDatabase(Database database)` Sets the database for verification of a generated id's uniqueness
`void` | `setIdFieldName(java.lang.String fieldName)` Deprecated. No longer necesssary as we now use Database for id verification
`void` | `setIndex(Index index)` Deprecated. This was dependency on our Lucene packages
`void` | `setPrefix(java.lang.String idPrefix)`
`void` | `setSuffix(java.lang.String idSuffix)`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Field Detail

### PACKAGE_QUALNAME

    static final java.lang.String PACKAGE_QUALNAME

See Also:
  Constant Field Values

### CLASS_NAME_SUFFIX

    static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

Method Detail

### generate

    java.lang.String generate(java.lang.String prefix,
                              java.lang.String suffix)

  Generates an id appending the given strings

  Parameters:
    `prefix` - The prefix for the generated id
    `suffix` - The suffix for the generated id

### generate

    java.lang.String generate()

  Generates an id using configured prefix and suffix

### setIndex

    void setIndex(Index index)

  Deprecated. This was dependency on our Lucene packages

  Sets the index for verification of a generated id's uniqueness

### setDatabase

    void setDatabase(Database database)

  Sets the database for verification of a generated id's uniqueness

### isIdUnique

    boolean isIdUnique(java.lang.String id)

  Determines where an id is unique within an index

### setIdFieldName

    void setIdFieldName(java.lang.String fieldName)

  Deprecated. No longer necesssary as we now use Database for id verification

  Set's the field name for the id field in the index for id verification needs

### getSuffix

    java.lang.String getSuffix()

### setSuffix

    void setSuffix(java.lang.String idSuffix)

### getPrefix

    java.lang.String getPrefix()

### setPrefix

    void setPrefix(java.lang.String idPrefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.